Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto
Class InvalidCipherTextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.crypto.CryptoException
                  org.bouncycastle.crypto.InvalidCipherTextException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidCipherTextException

extends CryptoException

this exception is thrown whenever we find something we don't expect in a message.

See Also:
  Serialized Form

Constructor Summary
`InvalidCipherTextException()` base constructor.
`InvalidCipherTextException(java.lang.String message)` create a InvalidCipherTextException with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCipherTextException

    public InvalidCipherTextException()

  base constructor.

### InvalidCipherTextException

    public InvalidCipherTextException(java.lang.String message)

  create a InvalidCipherTextException with the given message.

  Parameters:
    `message` - the message to be carried with the exception.

Bouncy Castle Cryptography Library 1.45